<!DOCTYPE html>
<html>
<head>
 <title> Sohni Drawing book </title>
 <style>
  body{background-image: url("2.jpg");}

  .pallet {width:30px; height:30px; border: 3px dashed black; border-radius:30%; margin-left:25px; position:absolute;}

  .pallet:hover{border: 3px solid black;}
  .pallet:active{border: 3px solid white;}

	#r {background-color:rgb(255,20,43); margin-top:220px;}
	#c {background-color:rgb(70,120,255); margin-top:270px;}
	#g {background-color:rgb(65,255,64); margin-top:320px}
	#y {background-color:rgb(245,255,56); margin-top:370px}
 	#p {background-color:rgb(255,50,250); margin-top:220px; margin-left:70px;}
	#v {background-color:rgb(200,100,255); margin-top:270px; margin-left:70px;}
	#w {background-color:rgb(255,255,255); margin-top:320px; margin-left:70px;}
	#b {background-color:rgb(80,80,80); margin-top:370px; margin-left:70px;}
 
  	#box {margin-left:130px; width:1100px; height:600px; border: 5px solid white; border-radius:5%; margin-top:30px;}	
  
  .painting {position:absolute; transition:1s all ease;}
    .boat{margin-left:700px; margin-top: 255px;}
      .base{width:100px; height:32px; margin-top:373px;}	
	 #basel{margin-left:685px; transform: skewX(35deg); background-color:rgb(160,90,90)}
	 #baser{margin-left:705px; transform: skewX(-35deg); background-color:rgb(160,100,100);}
	
	#tri1{border-bottom:100px solid rgb(255,50,75); border-left:50px solid transparent;}
	#tri2{border-top:15px solid rgb(255,20,43); border-left:50px solid transparent; margin-top:355px;}
	#tri3{border-bottom:90px solid rgb(245,255,56); border-right:30px solid transparent; margin-left:755px}
	#tri4{border-top:12px solid rgb(200,255,64); border-right:30px solid transparent; margin-top:345px; margin-left:755px}
	#line{border-left:3px solid rgb(80,80,80); border-top:120px solid black; margin-left:751px;}

    .sun{margin-left:550px; margin-top:170px;}
	#circle{width:300px; height:300px; border-radius:50%; background-color:orange; border:3px solid rgb(250,150,150);}

    .frame{width: 1100px;}
 	#land {height:200px; margin-top:400px; background-color:rgb(65, 120, 255); border-radius:10%; } 			
 	#sky {height:600px; background-color:rgb(200,100,255); border-radius:4%;};
	
</style>
</head>

<body>
	<div class="pallet" id="r"></div>	
	<div class="pallet" id="c"></div>	
	<div class="pallet" id="g"></div>	
	<div class="pallet" id="y"></div>
	<div class="pallet" id="p"></div>	
	<div class="pallet" id="v"></div>	
	<div class="pallet" id="w"></div>	
	<div class="pallet" id="b"></div>	
	<div id="box">
	<div class="painting frame" id="sky"></div>	
	<div class="painting sun" id="circle"></div>	
	<div class="painting frame" id="land"></div>	
	<div class="painting boat" id="tri1"></div>			
	<div class="painting boat" id="tri2"></div>
	<div class="painting boat" id="tri3"></div>			
	<div class="painting boat" id="tri4"></div>			
	<div class="painting boat" id="line"></div>
	<div class="painting boat base" id="basel"></div>
	<div class="painting boat base" id="baser"></div>	
	</div>
	
</body>

 <script>
	var brush;
	document.getElementById('r').onclick = function() {brush='rgb(255,20,43)';}
 	document.getElementById('c').onclick = function() {brush='rgb(70,120,255)';}
	document.getElementById('g').onclick = function() {brush='rgb(65,255,64)';}
	document.getElementById('y').onclick = function() {brush='rgb(245,255,56)';}
	document.getElementById('p').onclick = function() {brush='rgb(255,50,250)';}
	document.getElementById('v').onclick = function() {brush='rgb(200,100,255)';} 
	document.getElementById('w').onclick = function() {brush='rgb(255,255,255)';}
	document.getElementById('b').onclick = function() {brush='rgb(80,80,80)';}
	document.getElementById('sky').onclick = function() {this.style.backgroundColor= brush;}
	document.getElementById('land').onclick = function() {this.style.backgroundColor= brush;}
	document.getElementById('circle').onclick = function() {this.style.backgroundColor= brush;}

	document.getElementById('basel').onclick = function() {this.style.backgroundColor= brush; 
	document.getElementById	('baser').style.backgroundColor = brush;}

	document.getElementById('baser').onclick = function() {this.style.backgroundColor= brush; 
	document.getElementById('basel').style.backgroundColor = brush;}

	document.getElementById('tri1').onclick = function() {this.style.borderBottomColor= brush;}
	document.getElementById('tri2').onclick = function() {this.style.borderTopColor= brush;}
	document.getElementById('tri3').onclick = function() {this.style.borderBottomColor= brush;}
	document.getElementById('tri4').onclick = function() {this.style.borderTopColor= brush;}
</script>
</html>
